Bug 176142 - [exp-run] replace devel/py-setuptools with devel/py-distribute
Summary: [exp-run] replace devel/py-setuptools with devel/py-distribute
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 11:50 UTC by Ruslan Makhmatkhanov
Modified: 2013-03-05 07:24 UTC (History)
0 users

See Also:


Attachments
file.diff (2.02 KB, patch)
2013-02-14 11:50 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2013-02-14 11:50:00 UTC
This patch replacing devel/py-setuptools with devel/py-distribute when dependency invoked via USE_DISTUTILS=easy_install. This affects many of the python ports, so this definitely needs an exp-run. I did some local "exp-run" by succeffully building www/plone with this change from scratch ). There were reports from other committers on python@ that they live with this change, done manualy, for some time w/o problems and in fact this change was requested by many.

Two main points of this change:
1. Switch to supported package manager for python packages, because py-setuptools development is dead for a long time.
2. Use one tool both for python2 installations and python3 installations (right now we use setuptools for python2 ports and distribute for python3). Since distribute is a drop-in replacement, no problems are expected with this.

It would be great to make the switch before the any slushes/freezes.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-14 11:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2013-02-14 12:21:31 UTC
Responsible Changed
From-To: freebsd-python->portmgr

Portmgr territory.
Comment 3 Martin Wilke freebsd_committer 2013-02-19 12:11:11 UTC
Responsible Changed
From-To: portmgr->miwi

take for exprun
Comment 4 Martin Wilke freebsd_committer 2013-02-19 12:16:11 UTC
State Changed
From-To: open->feedback

http://astroboy.sytes.net:1288/pkg/logs/bulk/91amd64/default/
Comment 5 Martin Wilke freebsd_committer 2013-02-24 16:33:57 UTC
State Changed
From-To: feedback->open

exp-run is over
Comment 6 Martin Wilke freebsd_committer 2013-02-24 16:34:39 UTC
Responsible Changed
From-To: miwi->rm

Pass back to submitter, nothing related to that patch. Please commit 
with my portmgr approval.
Comment 7 R.Mahmatkhanov 2013-02-25 06:16:29 UTC
miwi@FreeBSD.org wrote on 24.02.2013 20:34:
> Synopsis: [exp-run] replace devel/py-setuptools with devel/py-distribute
>
> Responsible-Changed-From-To: miwi->rm
> Responsible-Changed-By: miwi
> Responsible-Changed-When: Sun Feb 24 16:34:39 UTC 2013
> Responsible-Changed-Why:
> Pass back to submitter, nothing related to that patch. Please commit
> with my portmgr approval.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=176142

Thanks a bunch, Martin! I'll check the logs for the case and will handle 
this change in a next couple of days.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 8 dfilter service freebsd_committer 2013-03-05 07:12:33 UTC
Author: rm
Date: Tue Mar  5 07:12:24 2013
New Revision: 313439
URL: http://svnweb.freebsd.org/changeset/ports/313439

Log:
  - replace deprecated devel/py-setuptools with devel/py-distribute
  - change explicit dependency for the ports, that don't utilize USE_DISTUTILS feature
  - add UPDATING entry
  
  PR:		176142
  Submitted by:	rm (myself)
  Approved by:	portmgr (miwi)
  Tested by:  	exp-run by miwi

Modified:
  head/Mk/bsd.python.mk
  head/UPDATING
  head/devel/trac-bitten/Makefile
  head/net-mgmt/net-snmp/Makefile

Modified: head/Mk/bsd.python.mk
==============================================================================
--- head/Mk/bsd.python.mk	Tue Mar  5 07:04:40 2013	(r313438)
+++ head/Mk/bsd.python.mk	Tue Mar  5 07:12:24 2013	(r313439)
@@ -460,13 +460,8 @@ PYTHONPREFIX_SITELIBDIR=	${PYTHON_SITELI
 
 # setuptools support
 .if defined(USE_PYDISTUTILS) && ${USE_PYDISTUTILS} == "easy_install"
-.if ${PYTHON_SUFFIX} < 30
-BUILD_DEPENDS+=		${PYEASYINSTALL_CMD}:${PORTSDIR}/devel/py-setuptools
-RUN_DEPENDS+=		${PYEASYINSTALL_CMD}:${PORTSDIR}/devel/py-setuptools
-.else
 BUILD_DEPENDS+=		${PYEASYINSTALL_CMD}:${PORTSDIR}/devel/py-distribute
 RUN_DEPENDS+=		${PYEASYINSTALL_CMD}:${PORTSDIR}/devel/py-distribute
-.endif
 
 PYDISTUTILS_BUILD_TARGET?=		bdist_egg
 PYDISTUTILS_INSTALL_TARGET?=	easy_install

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Tue Mar  5 07:04:40 2013	(r313438)
+++ head/UPDATING	Tue Mar  5 07:12:24 2013	(r313439)
@@ -5,6 +5,20 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130305:
+  AFFECTS: users of devel/py-setuptools (i.e you)
+  AUTHOR: rm@FreeBSD.org
+
+  devel/py-setuptools was replaced with devel/py-distribute. Please do
+  the following according to package manager used. py-setuptools port
+  will be removed shortly.
+
+  # portmaster -o devel/py-distribute devel/py-setuptools
+    or
+  # portupgrade -fo devel/py-distribute devel/py-setuptools
+    or
+  # pkg set -o devel/py-setuptools:devel/py-distribute
+
 20130226:
   AFFECTS: users of textproc/apache-solr
   AUTHOR: vanilla@FreeBSD.org

Modified: head/devel/trac-bitten/Makefile
==============================================================================
--- head/devel/trac-bitten/Makefile	Tue Mar  5 07:04:40 2013	(r313438)
+++ head/devel/trac-bitten/Makefile	Tue Mar  5 07:12:24 2013	(r313439)
@@ -7,7 +7,7 @@
 
 PORTNAME=	bitten
 PORTVERSION=	0.6
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel www python
 MASTER_SITES=	http://ftp.edgewall.com/pub/bitten/ \
 		LOCAL/glarkin
@@ -29,7 +29,7 @@ BITTEN_GID=	952
 OPTIONS=	BITTEN_MASTER "Build bitten master" ON
 .include <bsd.port.options.mk>
 
-BUILD_DEPENDS+=	easy_install:${PORTSDIR}/devel/py-setuptools
+BUILD_DEPENDS+=	easy_install:${PORTSDIR}/devel/py-distribute
 .if defined(WITH_BITTEN_MASTER)
 RUN_DEPENDS+=	tracd:${PORTSDIR}/www/trac
 .endif

Modified: head/net-mgmt/net-snmp/Makefile
==============================================================================
--- head/net-mgmt/net-snmp/Makefile	Tue Mar  5 07:04:40 2013	(r313438)
+++ head/net-mgmt/net-snmp/Makefile	Tue Mar  5 07:12:24 2013	(r313439)
@@ -67,8 +67,8 @@ PYEASYUNINSTALL_UNINSTALLARGS?=	-q -N -m
 				-s ${PYEASYINSTALL_BINDIR} \
 				${PYDISTUTILS_PKGNAME}
 USE_PYTHON=	yes
-RUN_DEPENDS+=	easy_install:${PORTSDIR}/devel/py-setuptools
-BUILD_DEPENDS+=	easy_install:${PORTSDIR}/devel/py-setuptools
+RUN_DEPENDS+=	easy_install:${PORTSDIR}/devel/py-distribute
+BUILD_DEPENDS+=	easy_install:${PORTSDIR}/devel/py-distribute
 CONFIGURE_ARGS+=--with-python-modules
 PLIST_SUB+=	WITH_PYTHON="" PYTHON_VER=${PYTHON_VER}
 PLIST_SUB+=	PYDISTUTILS_PKGVERSION=${PYDISTUTILS_PKGVERSION}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2013-03-05 07:24:56 UTC
State Changed
From-To: open->closed

Committed. Thank you for an exp-run, Martin!